#!/bin/bash
#
# Copyright (C) Mellanox Technologies, Ltd. 2008-2015 ALL RIGHTS RESERVED.
#
# This software product is a proprietary product of Mellanox Technologies, Ltd.
# (the "Company") and all right, title, and interest in and to the software product,
# including all associated intellectual property rights, are and shall
# remain exclusively with the Company.
#
# This software product is governed by the End User License Agreement
# provided with the software product.
#


basedir=`readlink -f $0`
basedir=${basedir%/*}

killall dvs_manager sx_acl_rm sx_sdk opensm testx testx_server

#sleeping for 5 seconds
#killall -w flag is not supported on all platforms
sleep 5

if [ -f /etc/init.d/openibd ]; then
	/etc/init.d/openibd stop || exit 1
else
	/etc/init.d/sxdkernel stop || exit 1
fi